'use strict';

import $ from 'jquery';

/**
 * frontend javascript for sg_jobs
 */
export default class SgJobs {

	/**
	 * Kicks things off
	 */
	constructor() {
		$('.remove-file').on('click', this._removeFile);
		$('#sgjobs-joblist').on('change', '.sgjobs-select', this._filterJoblist);
	}

	/**
	 * Remove file from application logic
	 *
	 * @param event
	 * @private
	 */
	_removeFile(event) {
		let currentElement = $(this);
		event.preventDefault();

		$.post(
			'?eID=sgAjax&extensionName=SgJobs&controller=Ajax%5CJoblist&action=deleteTempFile&format=json&vendorName=SGalinski',
			{
				file: currentElement.parent().children('.filename').html(),
				type: currentElement.attr('filetype')
			}
		).done(function() {
			currentElement.parent().remove();
		});
	}

	/**
	 * Filter for the joblist, simply apply the form
	 *
	 * @private
	 */
	_filterJoblist() {
		$('#sgjobs-filter').submit();
	}
}
